<?php
/**
 * Model dla klasy MfParameters
 *
 * @author ModGen
 */

class MfParameters extends DataObject{


	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_parameters';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_parameters';

	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tablica mapująca pola klasy
	 */
	static $fields = array(
		'id_mf_parameters' => 'id',
		'name' => 'name',
		'opis' => 'opis',
		'list' => 'list',
		'price' => 'price',
		'price_prom' => 'priceProm',
		'type' => 'type',
		'price_type' => 'priceType',
		'link_id' => 'linkId',
		'price_progres' => 'priceProgres',
		'count_progres' => 'countProgres',
		'unit' => 'unit',
		'depend_id' => 'dependId',
		'publication' => 'publication',
		'revers' => 'revers',
		'sort' => 'sort'
	);


	protected $id;
	private $name;
	private $opis;
	private $list;
	private $price;
	private $priceProm;
	private $type;
	private $priceType;
	private $linkId;
	private $priceProgres;
	private $countProgres;
	private $unit;
	private $publication;
	private $sort;
	private $dependId;
	private $revers;



	// -- Konstruktor --


	function __construct( $id = -1 , $name = null, $opis = null, $list = null, $price = null, $priceProm = null, $type = null, $priceType = null, $linkId = null, $priceProgres = null, $countProgres = null, $publication = null){
		$this->id = $id;
		$this->name = $name;
		$this->opis = $opis;
		$this->list = $list;
		$this->price = $price;
		$this->priceProm = $priceProm;
		$this->type = $type;
		$this->priceType = $priceType;
		$this->linkId = $linkId;
		$this->priceProgres = $priceProgres;
		$this->countProgres = $countProgres;
		$this->publication = $publication;
	}



	// -- Get-y i Set-y --

	public function getId(){
		return $this->id;
	}

	public function setId($id){
		$this->id = $id;
	}

	
	public function getName(){
		return $this->name;
	}
	
	public function getNameText(){
		return Utils::TextToUrl($this->name);
	}

	public function setName($name){
		$this->name = $name;
	}

	
	public function getOpis(){
		return $this->opis;
	}

	public function setOpis($opis){
		$this->opis = $opis;
	}

	
	public function getList(){
		return $this->list;
	}

	public function setList($list){
		$this->list = $list;
	}

	
	public function getPrice(){
		return $this->price;
	}

	public function setPrice($price){
		$this->price = $price;
	}
	
	public function getPriceProm(){
		return $this->priceProm;
	}

	public function setPriceProm($price){
		$this->priceProm = $price;
	}

	
	public function getType(){
		return $this->type;
	}

	public function setType($type){
		$this->type = $type;
	}

	
	public function getPriceType(){
		return $this->priceType;
	}

	public function setPriceType($priceType){
		$this->priceType = $priceType;
	}

	
	public function getLinkId(){
		return $this->linkId;
	}

	public function setLinkId($linkId){
		$this->linkId = $linkId;
	}

	
	public function getPriceProgres(){
		return $this->priceProgres;
	}

	public function setPriceProgres($priceProgres){
		$this->priceProgres = $priceProgres;
	}

	
	public function getCountProgres(){
		return $this->countProgres;
	}

	public function setCountProgres($countProgres){
		$this->countProgres = $countProgres;
	}
	
	public function getUnit(){
		return $this->unit;
	}

	public function setUnit($unit){
		$this->unit = $unit;
	}

	
	public function getPublication(){
		return $this->publication;
	}

	public function setPublication($publication){
		$this->publication = $publication;
	}
	
	public function getDependId(){
		return $this->dependId;
	}

	public function setDependId($depend_id){
		$this->dependId = $depend_id;
	}
	
	public function getSort(){
		return $this->sort;
	}

	public function setSort($s){
		$this->sort = $s;
	}
	
	public function getRevers(){
		return $this->revers;
	}

	public function setRevers($s){
		$this->revers = $s;
	}

	




	/**
	* Pobiera nazwę tabeli reprezentującej obiekt w SQL
	* @return string
	*/
	public  function GetTableName(){
	return self::$tableName;
	}

	/**
	* Pobiera nazwę klucza głównego tabeli
	* @return string
	*/
	public function GetClassTablePK() {
		return self::$classTablePK;
	}

	/**
	* Pobiera tablice mapującą pola klasy na pola tabeli
	* @return array
	*/
	public  function GetFields(){
		return self::$fields;
	}

	/**
	* Pobiera nazwę klasy
	* @return string
	*/
	public  function GetClassName(){
		return self::$className;
	}



}

?>